<?php
require_once("include.php");

//Return an error if the file can't be found
//Note: There was a bug in an early upload client that sent the hash as
//      "hash" instead of "Hash," so we check for both. Don't expect
//      this to stay here too long
if (!isset($_FILES["Torrent"]) ||
    !((isset($_POST["Hash"]) &&
       is_valid_authhash($_POST["Username"],$_POST["Hash"])) ||
      (isset($_POST["hash"]) &&
       is_valid_authhash($_POST["Username"],$_POST["hash"])))) {
  header("HTTP/1.0 404 Not Found");
  die("Upload failed");
} else {
  if (isset($_POST["Hash"]))
    drop_authhash($_POST["Username"],$_POST["Hash"]);
  if (isset($_POST["hash"]))
    drop_authhash($_POST["Username"],$_POST["hash"]);
  $torrent = bdecode(file_get_contents($_FILES['Torrent']['tmp_name']));
  if (isset($torrent['sha1']))
    $store->addTorrentToTracker($_FILES['Torrent']['tmp_name'],$_FILES['Torrent']['name']);
}

